import { useMutation, useQuery } from "@tanstack/react-query";
import * as api from "../service/SettingService";

export const useGetRestaurant = () => {
  return useQuery({
    queryKey: ["restaurant"],
    queryFn: api.getRestaurant,
  });
};

export const useUpdateRestaurant = () => {
  return useMutation({
    mutationFn: api.updateRestaurant,
  });
};
